kind: Deployment
apiVersion: apps/v1
metadata:
  annotations:
    deployment.kubernetes.io/revision: '1'
  resourceVersion: '44591'
  name: clusterresourceoverride-operator
  uid: 6c1795f4-4770-4eb0-a88c-0e00271eb178
  creationTimestamp: '2023-02-01T22:44:44Z'
  generation: 2
  managedFields:
    - manager: olm
      operation: Update
      apiVersion: apps/v1
      time: '2023-02-01T22:44:44Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:labels':
            .: {}
            'f:olm.deployment-spec-hash': {}
            'f:olm.owner': {}
            'f:olm.owner.kind': {}
            'f:olm.owner.namespace': {}
            'f:operators.coreos.com/clusterresourceoverride.clusterresourceoverride-operator': {}
          'f:ownerReferences':
            .: {}
            'k:{"uid":"abf8b625-cad1-4895-8eba-689c9d176846"}':
              .: {}
              'f:apiVersion': {}
              'f:blockOwnerDeletion': {}
              'f:controller': {}
              'f:kind': {}
              'f:name': {}
              'f:uid': {}
        'f:spec':
          'f:progressDeadlineSeconds': {}
          'f:replicas': {}
          'f:revisionHistoryLimit': {}
          'f:selector': {}
          'f:strategy':
            'f:rollingUpdate':
              .: {}
              'f:maxSurge': {}
              'f:maxUnavailable': {}
            'f:type': {}
          'f:template':
            'f:metadata':
              'f:annotations':
                'f:healthIndex': {}
                'f:olm.operatorNamespace': {}
                'f:createdAt': {}
                'f:alm-examples': {}
                'f:description': {}
                'f:olm.operatorGroup': {}
                'f:capabilities': {}
                'f:olm.skipRange': {}
                .: {}
                'f:operators.openshift.io/valid-subscription': {}
                'f:containerImage': {}
                'f:categories': {}
                'f:certifiedLevel': {}
                'f:operatorframework.io/properties': {}
                'f:support': {}
                'f:olm.targetNamespaces': {}
                'f:repository': {}
              'f:labels':
                .: {}
                'f:clusterresourceoverride.operator': {}
              'f:name': {}
            'f:spec':
              'f:containers':
                'k:{"name":"clusterresourceoverride-operator"}':
                  'f:image': {}
                  'f:terminationMessagePolicy': {}
                  .: {}
                  'f:resources': {}
                  'f:args': {}
                  'f:command': {}
                  'f:livenessProbe':
                    .: {}
                    'f:failureThreshold': {}
                    'f:httpGet':
                      .: {}
                      'f:path': {}
                      'f:port': {}
                      'f:scheme': {}
                    'f:initialDelaySeconds': {}
                    'f:periodSeconds': {}
                    'f:successThreshold': {}
                    'f:timeoutSeconds': {}
                  'f:env':
                    .: {}
                    'k:{"name":"OPERAND_IMAGE"}':
                      .: {}
                      'f:name': {}
                      'f:value': {}
                    'k:{"name":"OPERAND_NAMESPACE"}':
                      .: {}
                      'f:name': {}
                      'f:valueFrom':
                        .: {}
                        'f:fieldRef':
                          .: {}
                          'f:apiVersion': {}
                          'f:fieldPath': {}
                    'k:{"name":"OPERAND_VERSION"}':
                      .: {}
                      'f:name': {}
                      'f:value': {}
                    'k:{"name":"OPERATOR_CONDITION_NAME"}':
                      .: {}
                      'f:name': {}
                      'f:value': {}
                    'k:{"name":"OPERATOR_POD_NAMESPACE"}':
                      .: {}
                      'f:name': {}
                      'f:valueFrom':
                        .: {}
                        'f:fieldRef':
                          .: {}
                          'f:apiVersion': {}
                          'f:fieldPath': {}
                  'f:readinessProbe':
                    .: {}
                    'f:failureThreshold': {}
                    'f:httpGet':
                      .: {}
                      'f:path': {}
                      'f:port': {}
                      'f:scheme': {}
                    'f:periodSeconds': {}
                    'f:successThreshold': {}
                    'f:timeoutSeconds': {}
                  'f:terminationMessagePath': {}
                  'f:imagePullPolicy': {}
                  'f:ports':
                    .: {}
                    'k:{"containerPort":8080,"protocol":"TCP"}':
                      .: {}
                      'f:containerPort': {}
                      'f:protocol': {}
                  'f:name': {}
              'f:dnsPolicy': {}
              'f:restartPolicy': {}
              'f:schedulerName': {}
              'f:securityContext': {}
              'f:serviceAccount': {}
              'f:serviceAccountName': {}
              'f:terminationGracePeriodSeconds': {}
    - manager: kube-controller-manager
      operation: Update
      apiVersion: apps/v1
      time: '2023-02-01T22:44:57Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:deployment.kubernetes.io/revision': {}
        'f:status':
          'f:availableReplicas': {}
          'f:conditions':
            .: {}
            'k:{"type":"Available"}':
              .: {}
              'f:lastTransitionTime': {}
              'f:lastUpdateTime': {}
              'f:message': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"Progressing"}':
              .: {}
              'f:lastTransitionTime': {}
              'f:lastUpdateTime': {}
              'f:message': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
          'f:observedGeneration': {}
          'f:readyReplicas': {}
          'f:replicas': {}
          'f:updatedReplicas': {}
  namespace: clusterresourceoverride-operator
  ownerReferences:
    - apiVersion: operators.coreos.com/v1alpha1
      kind: ClusterServiceVersion
      name: clusterresourceoverride-operator.4.8.0-202212051626
      uid: abf8b625-cad1-4895-8eba-689c9d176846
      controller: false
      blockOwnerDeletion: false
  labels:
    olm.deployment-spec-hash: 7d748fc5d8
    olm.owner: clusterresourceoverride-operator.4.8.0-202212051626
    olm.owner.kind: ClusterServiceVersion
    olm.owner.namespace: clusterresourceoverride-operator
    operators.coreos.com/clusterresourceoverride.clusterresourceoverride-operator: ''
spec:
  replicas: 1
  selector:
    matchLabels:
      clusterresourceoverride.operator: 'true'
  template:
    metadata:
      name: clusterresourceoverride
      creationTimestamp: null
      labels:
        clusterresourceoverride.operator: 'true'
      annotations:
        olm.skipRange: '>=4.3.0 <4.8.0-202212051626'
        operators.openshift.io/valid-subscription: >-
          ["OpenShift Kubernetes Engine", "OpenShift Container Platform",
          "OpenShift Platform Plus"]
        olm.targetNamespaces: clusterresourceoverride-operator
        operatorframework.io/properties: >-
          {"properties":[{"type":"olm.gvk","value":{"group":"operator.autoscaling.openshift.io","kind":"ClusterResourceOverride","version":"v1"}},{"type":"olm.package","value":{"packageName":"clusterresourceoverride","version":"4.8.0-202212051626"}}]}
        repository: 'https://github.com/openshift/cluster-resource-override-operator'
        support: Red Hat
        alm-examples: |-
          [
            {
              "apiVersion": "operator.autoscaling.openshift.io/v1",
              "kind": "ClusterResourceOverride",
              "metadata": {
                "name": "cluster"
              },
              "spec": {
                "podResourceOverride": {
                  "spec": {
                    "memoryRequestToLimitPercent": 50,
                    "cpuRequestToLimitPercent": 25,
                    "limitCPUToMemoryPercent": 200
                  }
                }
              }
            }
          ]
        capabilities: Seamless Upgrades
        healthIndex: B
        olm.operatorNamespace: clusterresourceoverride-operator
        containerImage: >-
          registry.redhat.io/openshift4/ose-clusterresourceoverride-rhel8-operator@sha256:0b394403de5ad5cbf003a6df90e33b8a523ed7971b375eb1fccc8c4b3ea0b84e
        createdAt: 2019/11/15
        categories: OpenShift Optional
        description: >-
          An operator to manage the OpenShift ClusterResourceOverride Mutating
          Admission Webhook Server
        olm.operatorGroup: clusterresourceoverride-operator-xhg7r
        certifiedLevel: Primed
    spec:
      containers:
        - resources: {}
          readinessProbe:
            httpGet:
              path: /healthz
              port: 8080
              scheme: HTTP
            timeoutSeconds: 1
            periodSeconds: 10
            successThreshold: 1
            failureThreshold: 3
          terminationMessagePath: /dev/termination-log
          name: clusterresourceoverride-operator
          command:
            - /usr/bin/cluster-resource-override-admission-operator
          livenessProbe:
            httpGet:
              path: /healthz
              port: 8080
              scheme: HTTP
            initialDelaySeconds: 5
            timeoutSeconds: 1
            periodSeconds: 10
            successThreshold: 1
            failureThreshold: 3
          env:
            - name: OPERATOR_POD_NAMESPACE
              valueFrom:
                fieldRef:
                  apiVersion: v1
                  fieldPath: metadata.namespace
            - name: OPERAND_NAMESPACE
              valueFrom:
                fieldRef:
                  apiVersion: v1
                  fieldPath: metadata.namespace
            - name: OPERAND_IMAGE
              value: >-
                registry.redhat.io/openshift4/ose-clusterresourceoverride-rhel8@sha256:23c678bda6cf05bf9c7d7244eb3496ca0f3f86b1aac7441415ae1165808eca20
            - name: OPERAND_VERSION
              value: 1.0.0
            - name: OPERATOR_CONDITION_NAME
              value: clusterresourceoverride-operator.4.8.0-202212051626
          ports:
            - containerPort: 8080
              protocol: TCP
          imagePullPolicy: Always
          terminationMessagePolicy: File
          image: >-
            registry.redhat.io/openshift4/ose-clusterresourceoverride-rhel8-operator@sha256:0b394403de5ad5cbf003a6df90e33b8a523ed7971b375eb1fccc8c4b3ea0b84e
          args:
            - start
            - '--namespace=$(OPERAND_NAMESPACE)'
            - '--v=2'
      restartPolicy: Always
      terminationGracePeriodSeconds: 30
      dnsPolicy: ClusterFirst
      serviceAccountName: clusterresourceoverride-operator
      serviceAccount: clusterresourceoverride-operator
      securityContext: {}
      schedulerName: default-scheduler
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxUnavailable: 25%
      maxSurge: 25%
  revisionHistoryLimit: 1
  progressDeadlineSeconds: 600
status:
  observedGeneration: 2
  replicas: 1
  updatedReplicas: 1
  readyReplicas: 1
  availableReplicas: 1
  conditions:
    - type: Available
      status: 'True'
      lastUpdateTime: '2023-02-01T22:44:57Z'
      lastTransitionTime: '2023-02-01T22:44:57Z'
      reason: MinimumReplicasAvailable
      message: Deployment has minimum availability.
    - type: Progressing
      status: 'True'
      lastUpdateTime: '2023-02-01T22:44:57Z'
      lastTransitionTime: '2023-02-01T22:44:44Z'
      reason: NewReplicaSetAvailable
      message: >-
        ReplicaSet "clusterresourceoverride-operator-745854f847" has
        successfully progressed.
